from setuptools import setup

version = '0.5'

long_description = '\n\n'.join([
    open('README.rst').read(),
    open('CREDITS.rst').read(),
    open('CHANGES.rst').read(),
    ])

install_requires = [
    'setuptools',
    'redis>=2.10.5',
    ],

tests_require = [
    'nose',
    'coverage',
    ]

setup(name='turn',
      version=version,
      description=('A shared-resource-locking '
                   'queue system using python and redis.'),
      long_description=long_description,
      # Get strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[],
      keywords=['redis', 'queue', 'resource', 'shared'],
      author='Arjan Verkerk',
      author_email='arjan.verkerk@nelen-schuurmans.nl',
      url='https://github.com/nens/turn',
      license='GPL',
      packages=['turn'],
      include_package_data=True,
      zip_safe=False,
      install_requires=install_requires,
      tests_require=tests_require,
      extras_require={'test': tests_require},
      entry_points={
          'console_scripts': [
              'turn = turn.console:main',
          ]},
      )
